ReferenceDocumentsDocumentidSummary

    Document summary

    The structured summary extracted after the last validation, with its state: ready, stale (the document changed since; the previous summary is kept),…

    GET
    /documents/{documentId}/summary

    The structured summary extracted after the last validation, with its state: ready, stale (the document changed since; the previous summary is kept), pending/running, failed, not_extracted, or no_schema (the document's template version defines no summary). Never runs AI.

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Path Parameters

    documentId*string

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X GET "https://example.com/documents/string/summary"
    {  "data": {    "property1": null,    "property2": null  },  "documentId": "string",  "error": "string",  "extractedAt": "string",  "schema": {    "property1": null,    "property2": null  },  "stale": true,  "state": "string",  "status": "string",  "templateVersionId": "string"}